petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoSetInitialVector

Sets the initial guess for the solve

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetInitialVector(Tao tao, Vec x0)

Logically collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| x0 | - the initial guess Many br

Many br

### See Also

TaoCreate(), TaoSolve()

Level:beginner
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html
src/tao/constrained/examples/tutorials/maros.c.html